Bug 773729 - (CVE-2012-0043) CVE-2012-0043 wireshark: RLC dissector buffer overflow (wnpa-sec-2012-03)
CVE-2012-0043 wireshark: RLC dissector buffer overflow (wnpa-sec-2012-03)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120110,repor...
: Security
Depends On: 781268
Blocks: 773730
  Show dependency treegraph
 
Reported: 2012-01-12 12:51 EST by Vincent Danen
Modified: 2012-01-20 01:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-20 01:57:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-01-12 12:51:30 EST
The RLC dissector could overflow a buffer.  It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.  This is corrected in upstream 1.4.11 and 1.6.5.

http://www.wireshark.org/security/wnpa-sec-2012-03.html
Comment 1 Huzaifa S. Sidhpurwala 2012-01-13 01:17:17 EST
The versions of wireshark shipped with Red Hat Enterprise Linux 4, 5 and 6, does not have support for UMTS RLC (Radio Link Control) disassembly. 

Statement:

This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 4, 5 and 6.
Comment 2 Huzaifa S. Sidhpurwala 2012-01-13 01:20:39 EST
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 781268]
Comment 3 Huzaifa S. Sidhpurwala 2012-01-20 01:57:01 EST
This issue affects the version of wireshark shipped with Fedora 15 and Fedora
16 and has been addressed in the following security advisories:

https://admin.fedoraproject.org/updates/wireshark-1.4.11-1.fc15
https://admin.fedoraproject.org/updates/wireshark-1.6.5-1.fc16

Note You need to log in before you can comment on or make changes to this bug.